import Snap from 'jest-snapshot';
import { SnapshotManager } from './manager';
const { addSerializer } = Snap;
let _manager;
export function getSnapshotManager() {
    return _manager;
}
export async function SnapshotPlugin(options) {
    const { rootDir } = options;
    _manager = new SnapshotManager({
        rootDir,
        update: options.update,
    });
    _manager.snapshotResolver = await Snap.buildSnapshotResolver({
        transform: [],
        rootDir,
    });
    return function (chai, utils) {
        for (const key of ['matchSnapshot', 'toMatchSnapshot']) {
            utils.addMethod(chai.Assertion.prototype, key, function (message) {
                const expected = utils.flag(this, 'object');
                _manager.assert(expected, message);
            });
        }
        chai.expect.addSnapshotSerializer = addSerializer;
    };
}
