import Listr from 'listr';
import { Reporter, RunnerContext, Task } from '../types';
interface TaskPromise {
    promise: Promise<void>;
    resolve: () => void;
    reject: (e: unknown) => void;
}
export declare class DefaultReporter implements Reporter {
    indent: number;
    start: number;
    end: number;
    listr: Listr | null;
    listrPromise: Promise<void> | null;
    taskMap: Map<Task, TaskPromise>;
    onStart(): void;
    onCollected(ctx: RunnerContext): void;
    onTaskEnd(task: Task): void;
    onFinished({ files }: RunnerContext): Promise<void>;
    private getIndent;
    private log;
    private error;
    onSnapshotUpdate(): void;
}
export {};
